Bug 200997 - Mk/bsd.fpc.mk and editors/lazarus: not remove /root/.cache/instantfpc/
Summary: Mk/bsd.fpc.mk and editors/lazarus: not remove /root/.cache/instantfpc/
Status: Closed Not A Bug
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Port Management Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-06-20 19:37 UTC by Andrey Fesenko
Modified: 2015-08-07 12:03 UTC (History)
3 users (show)

See Also:


Attachments
poudriere bulk -t log (49.66 KB, text/x-log)
2015-06-20 21:14 UTC, Andrey Fesenko
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Fesenko 2015-06-20 19:37:57 UTC
http://sourceforge.net/p/lazarus/code/HEAD/tree/trunk/ide/buildmanager.pas#l1755

have hardcode "List:=RunTool(Prog,'--get-cache');" this create /root/.cache and pkg build Failed: build_fs_violation
For example http://bsdnir.info/files/porting/log_lazarus_depends_faile/

Documentation http://wiki.lazarus.freepascal.org/IDE_Macros_in_paths_and_filenames have env variable InstantFPCCache however --get-cache without arguments rewrite this.

Most likely need to add a variable to support this command, or change the order of the builder call

Unfortunately I can not offer a ready Patch.
Comment 1 Antoine Brodin freebsd_committer 2015-06-20 20:59:38 UTC
Could you try respecting MAKE_ENV in your ports ?  some commands are launched without ${SETENV} ${MAKE_ENV}

I believe this would solve the problem (default cache is $HOME/.cache/instantfpc and MAKE_ENV has HOME=${WRKDIR})
Comment 2 Andrey Fesenko 2015-06-20 21:14:31 UTC
Created attachment 157904 [details]
poudriere bulk -t log

Yes set ${SETENV} ${MAKE_ENV} remove this error

-       @cd ${WRKSRC} && \
+       @cd ${WRKSRC} && ${SETENV} ${MAKE_ENV} \
                ${LAZBUILD_CMD} --ws="${LCL_PLATFORM}" --lazarusdir=${LAZARUS_DIR} ${PROJECT_FILE}
Comment 3 Antoine Brodin freebsd_committer 2015-06-21 08:21:49 UTC
So,  can this PR be closed?
Comment 4 Andrey Fesenko 2015-06-21 15:33:45 UTC
Is it possible to correct this error is centralized or each port should monitor these variables on their own?
Comment 5 Antoine Brodin freebsd_committer 2015-06-30 07:16:07 UTC
Each port should respect MAKE_ENV.  If your port has custom do-build,  it must include the MAKE_ENV variable in it.
Comment 6 Andrey Fesenko 2015-06-30 08:40:31 UTC
Thank you for the clarification, I will offer patches to ports where discovered his absence, leading to errors.
This I think should be closed